Persona is no longer an option for authentication on BMO. For more details see Persona Deprecated.
Last Comment Bug 547307 - Cannot reach the bottom of the page using keyboard (scrolling to the bottom, End, Page Down, arrow keys)
: Cannot reach the bottom of the page using keyboard (scrolling to the bottom, ...
Product: Fennec Graveyard
Classification: Graveyard
Component: Panning/Zooming (show other bugs)
: Fennec 1.1
: All All
: -- normal with 1 vote (vote)
: ---
Assigned To: Matt Brubeck (:mbrubeck)
Depends on: 479862
  Show dependency treegraph
Reported: 2010-02-19 12:39 PST by [:Aleksej]
Modified: 2013-12-10 09:59 PST (History)
2 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---

WIP (4.56 KB, patch)
2010-04-22 11:50 PDT, Matt Brubeck (:mbrubeck)
no flags Details | Diff | Splinter Review
patch (957 bytes, patch)
2010-06-30 12:03 PDT, Matt Brubeck (:mbrubeck)
mark.finkle: review+
Details | Diff | Splinter Review

Description [:Aleksej] 2010-02-19 12:39:25 PST
Build 1.9.2 20100219013601 on Debian GNU/Linux with xmonad.

Regression range: 2010011101 … 2010011201 (fixed: bug 537694, bug 537660)

Steps to reproduce:
1. Load a page which is long enough to be scrolled ( is a better example than the Fennec's start page).
2. Press End or keep pressing Down or Page Down until scrolling stops.
3. Scroll down using the pointing device / touch pad.

Actual results:
At step 2, keyboard scrolling stops before reaching the end of the page.
At step 3, the end is reached using the pointing device.

Expected results:
The bottom of the page can be reached using keyboard.
Comment 1 Matt Brubeck (:mbrubeck) 2010-04-09 11:48:30 PDT
This seems to happen especially if the page is zoomed in.  It looks like the keyboard scroll commands are still using the original scrollable area, not the zoomed in area.  (If the page is zoomed out past the default level, there is different but related behavior.)
Comment 2 Matt Brubeck (:mbrubeck) 2010-04-09 11:50:06 PDT
Bug 542480 is different but maybe related.
Comment 3 Matt Brubeck (:mbrubeck) 2010-04-09 14:39:54 PDT
There are two problems here:

1) Browser.scrollContentToBrowser does not use zoomLevel to translate content coordinates to screen coordinates, and

2) the <browsers>'s style.height is not changed when the zoomLevel changes, so even when the bottom of the page is visible in the <browser>, it might not be visible onscreen (because part of the <browser> might be offscreen).
Comment 4 Matt Brubeck (:mbrubeck) 2010-04-09 15:24:13 PDT
I tried out a sort of hacky patch to add a zoomLevel ratio to scrollContentToBrowser, and always set to window.innerHeight.  But that won't work for horizontal scrolling.  (We can't change without changing the layout.)  Fennec really needs to handle scrolling actions itself in InputHandler.js, like vingtetun suggests in bug 542480 comment 1.  Or re-enable SNAV.
Comment 5 Matt Brubeck (:mbrubeck) 2010-04-22 11:50:29 PDT
Created attachment 440830 [details] [diff] [review]

This patch together with the patch in bug 479862 attachment 428336 [details] [diff] [review] solves most of the problem.  There's still an issue when the height of the browser is greater than the window height, which I'll try to fix next.
Comment 6 Matt Brubeck (:mbrubeck) 2010-06-30 12:03:08 PDT
Created attachment 455204 [details] [diff] [review]

Rebased against latest mobile-browser.

As mentioned above, there are still some cases where this is broken - but this patch fixes the problem on a lot of sites that I use, including the "Skip to menu" link on and all of the scrolling on
Comment 7 Mark Finkle (:mfinkle) (use needinfo?) 2010-06-30 14:25:56 PDT
Comment 8 [:Aleksej] 2010-07-09 01:42:54 PDT
VERIFIED FIXED on trunk/20100708014849.
Still reproducible on 1.9.2/20100708013742.

Should this bug still be marked "Version: 1.9.2"?

Note You need to log in before you can comment on or make changes to this bug.